/**
 *  IV Plugin version 1
 */

#ifndef  IVP_INCLUDED
#define  IVP_INCLUDED

#include <windows.h>
#include <objidl.h>

#include <pshpack4.h>
typedef struct IVP1
{
	IN  HBITMAP (*CreateImage)(SIZE, UINT/*BitCount*/, LPVOID *);
	IN  VOID    (*DeleteImage)(HBITMAP);
	OUT LPCWSTR  *Patterns; /* { L"*.jpg", L"*.png", ..., NULL } */
	OUT HBITMAP (*GetImage)(IStream *);
} IVP1;
#include <poppack.h>

#ifndef _M_X64
#define IVP_API EXTERN_C __declspec(dllexport)
#else
#define IVP_API EXTERN_C
#endif

/* IVP_API BOOL WINAPI GetIVP1(IVP1 *); */

typedef BOOL (WINAPI *GETIVP1)(IVP1 *);

#endif /*IVP_INCLUDED*/
